<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/addressbook.inc.php');

	$fields_delimiters=array(
		','		=> ci_lbl('addressbook.export.fd-comma'),
		';'		=> ci_lbl('addressbook.export.fd-semicolon'),
		'TAB'	=> ci_lbl('addressbook.export.fd-tab'),
		'|'		=> ci_lbl('addressbook.export.fd-pipe')
	);

	$fields_enclosure=array(
		''					=> ci_lbl('addressbook.export.fe-none'),
		"singlequote"		=> ci_lbl('addressbook.export.fe-singlequote'),
		'doublequote'		=> ci_lbl('addressbook.export.fe-doublequote')
	);
	
	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'fields_delimiter'	=> array('type' => 'select', 'options' => $fields_delimiters),
				'fields_enclosure'	=> array('type' => 'select', 'options' => $fields_enclosure),
				'add_headers'			=> array('type' => 'yesno')
			)
		)
	);

	$info['fields_delimiter']		= ',';
	$info['fields_enclosure']	= 'doublequote';
	$info['add_headers']			= 'true';

	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('');
	$form->set_fields($fields);
	$form->set_tabs_label_prefix('addressbook.export.tab-');
	$form->set_fields_label_prefix('addressbook.export.fld-');

	$form->buttons->add_stock_button('export');
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'export':
				self.location.href='addressbook/export/export.php?add_headers='+$('form').add_headers.value+'&delimiter='+escape($('form').fields_delimiter.value)+'&enclosure='+escape($('form').fields_enclosure.value);
				break;
		}
	}
</script>

<div class="title"><?php echo ci_lbl("addressbook.export.title") ?></div>
<div class="help"><?php echo ci_hlp("addressbook.export") ?></div>

<?php echo $form->get() ?>
