<?php
	require_once('../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/auth.inc.php');

	CI_AUTH::logout();
?>
<div class="title"><?php echo ci_lbl("login.title") ?></div>

<div id="login">
	<form name="login-form" action="<?php echo $CI_URI_BASE ?>/actions/login.php" method="post" id="login-form">

		<fieldset class="input">
			<legend><?php echo ci_lbl('login.login') ?></legend>

			<img id="login-img" src="<?php echo $CI_URI_BASE ?>/icons/login.png" alt="-" />
			<ul>
				<li>
					<label for="login_username">Username</label>
					<input id="login_username" type="text" name="username" class="inputbox" alt="username" size="13" />
				</li>

				<li>
					<label for="login_passwd">Password</label>
					<input id="login_passwd" type="password" name="password" class="inputbox" size="13" alt="password" />
				</li>
			</ul>
			
			<div align="center">
				<input type="submit" id="login-button" value="" />
			</div>
		</fieldset>
	</form>
</div>

<script type="text/javascript">
	ci_hide_login();
	
	$('login-form').addEvent('submit', function(e) {
		new Event(e).stop();

		this.send({
			onComplete: function(txt, xml) {
				res=ci_xml2array(xml);
				
				if (res['reply']['type'] == "ok")
				{
					ci_slidein_menu();
					ci_load_page('system/overview/index.php');
 					ci_show_login();
				}
				else
				{
					ci_blink_error("<?php echo ci_lbl('login.error') ?>", 2);
					$('login_username').value="";
					$('login_passwd').value="";
				}
			}
		});
	});
</script>
