#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-

import re
import string
from htmlentitydefs import *

unichr2entity = dict((unichr(code), '&%s;' % name) for code, name in codepoint2name.iteritems() if code!=38) # exclude "&"

entity2unichr = dict(('&%s;' % name, unichr(code)) for name, code in name2codepoint.iteritems())

def htmlescape(text, d=unichr2entity):
	if u"&" in text:
		text = text.replace(u"&", u"&amp;")
	
	for key, value in d.iteritems():
		if key in text:
			text = text.replace(key, value)
			
	return text


def htmlunescape(text, d=entity2unichr):
	for key, value in d.iteritems():
		
		if key in text:
			text = text.replace(key, value.encode('UTF-8'))
	
	return text
