<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/buttons.inc.php');
	require_once(CI_PATH_LIBS.'/addressbook.inc.php');

	$buttons=new CI_BUTTONS();
	$buttons->add_stock_button('new');

	$levels=CI_ADDRESSBOOK::get_folders();
?>
<script type="text/javascript">
	function on_table_event(table, task, id)
	{
		switch (task)
		{
			case 'edit':
				ci_load_page('addressbook/contacts/info.php?id='+id);
				break;

			case 'delete':
				my_id=id;
				ci_modal_confirm(id, "<?php echo ci_lbl('addressbook.contacts.info.confirm-delete') ?>", "on_modal_results"); break;
				break;

			default:
				ci_action('addressbook.php?task='+task+'&id='+id);
				break;
		}
	}

	function on_modal_results(id, res)
	{
		if (res==true) ci_action('addressbook.php?task=delete&id='+id);
	}

	function on_button_event(id, task)
	{
		ci_load_page('addressbook/contacts/info.php');
	}
</script>

<div class="title"><?php echo ci_lbl("addressbook.contacts.title") ?></div>
<div class="help"><?php echo ci_hlp("addressbook.contacts") ?></div>

<form id="search">
	<?php echo ci_lbl("addressbook.contacts.search") ?>&nbsp;&nbsp;

	<input size="30" type="text" class="inputbox" name="search" value="" />&nbsp;

	<?php echo ci_lbl("addressbook.contacts.search.level") ?>&nbsp;

	<select name="folder">
		<?php foreach($levels as $k => $v) { ?>
		<option value="<?php echo $k ?>"><?php echo $v ?></option>
		<?php } ?>
	</select>

	<input value="<?php echo ci_lbl("addressbook.contacts.search.ok") ?>" class="button" type="submit" />
</form>

<div id="results"></div>

<?php echo $buttons->get(); ?>

<script type="text/javascript">
	$('search').do_submit = function()
	{
		ci_show_loader();

		ci_cookie_set('addressbook-folder', this.folder.value);
		ci_cookie_set('addressbook-search', this.search.value);

		var ajx=new Ajax(ci_uri_base+'/addressbook/contacts/results.php?folder='+escape(this.folder.value)+'&q='+escape(this.search.value), {
			evalScripts:	true,
			method:			'get',
			update:			$('results'),
			onComplete:		function() {
				ci_hide_loader();
			}
		}).request();
	}
	
	$('search').addEvent('submit', function(e) {
		new Event(e).stop();
		$('search').do_submit()
	});

	if (ci_cookie_get('addressbook-search')) $('search').search.value=ci_cookie_get('addressbook-search');
	if (ci_cookie_get('addressbook-folder')) $('search').folder.value=ci_cookie_get('addressbook-folder');

	$('search').do_submit();
</script>