#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT

import sys
import os
import os.path

_selfpath=(os.path.dirname(os.path.realpath(__file__)).split('/'))[:-1]
_selfpath.append('pylibs')
_libspath='/'.join(_selfpath)
sys.path.append(_libspath)

from s2p import *
from s2p_usock import *

S2P_CONF_SYSTEM	= xml_to_array(CORE_PATH_CONFIG+'/system.xml')

FILE_SOCKET=S2P_CONF_SYSTEM['path']['socks']+'/logger.sock'

socks=[]

count=0
while True:
	count=count+1
	
	sock=s2p_usock()
	sock.connect(FILE_SOCKET)
	
	socks.append(sock)

	print count

	time.sleep(0.01)
